TSHTTPHDRSTATUSGET(3ts)

NAME
TSHttpHdrStatusGet - TSHttpHdrStatusGet API function

SYNOPSIS

            #include <ts/ts.h>

    TSHttpStatus TSHttpHdrStatusGet(TSMBuffer bufp, TSMLoc offset)

DESCRIPTION

Retrieve the status code value from the HTTP response header identified by bufp and offset. The value should be an enumeration value of TSHttpStatus, although because plugins can call TSHttpHdrStatusSet() this may not be true. If the header is not a valid response then TS_HTTP_STATUS_NONE is returned.

SEE ALSO

TSHttpTxnClientRespGet(), TSHttpTxnServerRespGet(), TSHttpHdrTypeGet().

COPYRIGHT
2026, dev@trafficserver.apache.org